<vn>
<div id="title">
	<h1><t>NewsManagement</t></h1>
</div>
<div id="actions" class="action-bar">
	<button on-click="onAddClick">
		<img src="image/dark/add.svg" alt=""/>
		<t>AddNew</t>
	</button>
</div>
<div id="form" class="news">
	<div class="box">
		<htk-grid show-header="false">
			<db-model id="news-model" updatable="true">
				SELECT n.id, c.Cliente, priority, image,
				CONCAT(LEFT(n.title, 25), '...') title
					FROM news n
					JOIN vn2008.Clientes c ON n.user_id = c.Id_Cliente
						ORDER BY priority, n.date_time DESC
			</db-model>
			<htk-column-button
				column="id"
				tip="_EditNew"
				image="image/edit.svg"
				on-clicked="onEditClick"/>
			<htk-column-image
				column="image"
				directory="news"
				subdir="50x50"
				show-full="true"
				editable="true"/>
			<htk-column-text title="_Title" column="title"/>
			<htk-column-text title="_Author" column="Cliente"/>
			<htk-column-spin title="_Priority" column="priority"/>
		</htk-grid>
	</div>
</div>
</vn>
